Bug 2244966 - kubernetes-1.28.3 is available
Summary: kubernetes-1.28.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kubernetes
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brad Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-19 03:26 UTC by Upstream Release Monitoring
Modified: 2023-11-10 01:45 UTC (History)
6 users (show)

Fixed In Version: kubernetes-1.27.7-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-10 01:45:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2023-10-19 03:26:11 UTC
Releases retrieved: 1.25.15, 1.26.10, 1.27.7, 1.28.3
Upstream release that is considered latest: 1.28.3
Current version/release in rawhide: 1.28.2-2.fc40
URL: https://kubernetes.io

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/10954/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/kubernetes

Comment 1 Brad Smith 2023-10-19 19:22:04 UTC
Kubernetes 1.25.15 available in COPR: https://copr.fedorainfracloud.org/coprs/buckaroogeek/copr-k8s-1.25/. Fedora 37 has go language 1.19 which does not meet current standard for Kubernetes (go 1.20.10).

All other versions waiting for go updates which are in progress.

Comment 2 Fedora Update System 2023-10-29 19:53:19 UTC
FEDORA-2023-aea7ad05da has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-aea7ad05da

Comment 3 Fedora Update System 2023-10-29 19:53:19 UTC
FEDORA-2023-8fbf5cba31 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8fbf5cba31

Comment 4 Fedora Update System 2023-10-30 02:30:26 UTC
FEDORA-2023-aea7ad05da has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-aea7ad05da \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-aea7ad05da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-10-30 03:00:16 UTC
FEDORA-2023-8fbf5cba31 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8fbf5cba31 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8fbf5cba31

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-30 14:34:40 UTC
FEDORA-2023-bb7851c30a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bb7851c30a

Comment 7 Fedora Update System 2023-10-31 02:20:53 UTC
FEDORA-2023-bb7851c30a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bb7851c30a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bb7851c30a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-11-01 18:50:12 UTC
FEDORA-2023-9b0d4751a0 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9b0d4751a0

Comment 9 Fedora Update System 2023-11-02 01:48:42 UTC
FEDORA-2023-9b0d4751a0 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9b0d4751a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9b0d4751a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-11-07 04:15:17 UTC
FEDORA-2023-aea7ad05da has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-11-08 01:19:08 UTC
FEDORA-2023-bb7851c30a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-11-10 01:45:05 UTC
FEDORA-2023-9b0d4751a0 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.